KCS - What Versions of Windows Are Compatible With Clio Launcher?

Objective:

  • To determine which versions of Windows are supported with Clio Launcher
  • To determine compatible operating systems with Clio Launcher

Environment:

  • Clio Web App
  • Clio Launcher
  • Windows

Additional Information:

For information on how to tell what version of Windows 7 you have, please see here

Answer:

Clio Launcher is compatible with Windows 8 and 10, and some versions of Windows 7.

Please note that Clio Launcher is only compatible with 64 bit, and not 32 bit version of Windows. 

Was this article helpful?
This information is confusing or wrong
This isn't the information that I was looking for
I don't like this functionality